<?xml version="1.0" encoding="UTF-8"?>
<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JOnAS: Java(TM) Open Application Server
 - Copyright (C) 2009 France Telecom R&D
 - Contact: jonas-team@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: classloader-default-filtering-mapping.xml 20373 2010-09-27 15:00:11Z sauthieg $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->

<xmlconfig-mapping xmlns="http://easybeans.ow2.org/xml/ns/xmlconfig"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://easybeans.ow2.org/xml/ns/xmlconfig
                                       http://easybeans.ow2.org/xml/ns/xmlconfig/xmlconfig-mapping_1_0.xsd">
  <!--
    - This mapping describe how to bind a <class-loader-filter> element's content
    - into a org.ow2.jonas.lib.loader.FilteringClassLoader
    -->

  <!--
    - Bind <filters> or <default-filters> elements.
    -->
  <class name="org.ow2.jonas.lib.loader.xml.FiltersDefinition">
    <aliases>
      <alias>filters</alias>
      <alias>default-filters</alias>
    </aliases>
    <attribute name="filter-name"
               element="true"
               alias="filter-name"
               isList="true"
               getter="getFilters"
               setter="setFilters" />
  </class>

</xmlconfig-mapping>
